Date: Mon, 10 Feb 1997 10:07:33 +0100 (MET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: New Zorro board: CyberVision64-3D
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de


After this patch the Phase 5 CyberVision64-3D graphics board will be
recognized.

The third part of the patch is untested and experimental!!! It makes the
CyberVision64 driver treat the CyberVision64-3D like an ordinary CyberVision64.
It might work, but your mileage may vary.

All I know is that the frame buffer initialization for a S3 ViRGE is the same
as for a S3 Trio64, while the acceleration hardware is completely different...


--- arch/m68k/amiga/zorro.c.orig	Thu Jan  9 21:03:01 1997
+++ arch/m68k/amiga/zorro.c	Sun Feb  9 19:56:29 1997
@@ -479,6 +479,7 @@
    PROD("Blizzard 2060 SCSI Controller", BLIZZARD_2060SCSI)
    PROD("CyberStorm Mk II", CYBERSTORM_II)
    PROD("CyberVision64 Graphics Board", CYBERVISION)
+   PROD("CyberVision64-3D Graphics Board", CYBERVISION3D)
 END
 
 BEGIN_PROD(DPS)
--- include/asm-m68k/zorro.h.orig	Thu Jan  9 21:03:58 1997
+++ include/asm-m68k/zorro.h	Sun Feb  9 19:55:49 1997
@@ -353,6 +353,7 @@
 #define PROD_BLIZZARD_2060SCSI (0x18)	/* Blizzard 2060 SCSI Controller */
 #define PROD_CYBERSTORM_II     (0x19)	/* CyberStorm Mk II */
 #define PROD_CYBERVISION       (0x22)	/* CyberVision64 Graphics Board */
+#define PROD_CYBERVISION3D     (0x43)	/* CyberVision64-3D Graphics Board */
 
 #define MANUF_DPS              (0x2169)	/* DPS */
 #define PROD_DPS_PAR           (0x01)	/* Personal Animation Recorder */
--- arch/m68k/amiga/cyberfb.c.orig	Thu Jan  9 21:03:01 1997
+++ arch/m68k/amiga/cyberfb.c	Sun Feb  9 20:07:58 1997
@@ -1119,6 +1120,8 @@
 int Cyber_probe(void)
 {
    CyberKey = zorro_find(MANUF_PHASE5, PROD_CYBERVISION, 0, 0);
+   if (!CyberKey)
+      CyberKey = zorro_find(MANUF_PHASE5, PROD_CYBERVISION3D, 0, 0);
    return(CyberKey);
 }
 

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/m68k on Amiga          http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

